Installation mono sous debian [Résolu]

Messages postés
89
Date d'inscription
mardi 19 janvier 2010
Dernière intervention
21 juin 2016
- - Dernière réponse :  pat - 18 avril 2017 à 21:31
Bonjour,
j'ai un programme en c# sous .net que j'aimerai tester sous linux mais j'ai du mal à installer le paquet mono...
j'ai une débian 6.0
j'ai essayé la commande apt-get install mono mais j'ai ce message d'erreur:
root@xxxxxxx:/etc/apt# apt-get install mono
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Aucune version du paquet mono n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

E: Le paquet « mono » n'a pas de version susceptible d'être installée


avant j'ai essayé un update de tous les paquets mais bon ca change rien à priori.

je comprend qu'il faut l'installer via une source exterieure mais je n'arrive pas à choper l'url du .deb à télécharger. j'imagine qu'il faut faire un wget + url, puis un j'installe le truc comme ceci:
$> tar xvfz mono-1.1.6.tar.gz
$> cd ./mono-1.1.6
$> ./configure
$> make
$> su
#> make install
#> exit


suis-je ok? ai-je oublié un truc? quelqu'un peut-il me donner l'url ou télécharger la source?
merci
Afficher la suite 

Votre réponse

1 réponse

Meilleure réponse
Messages postés
89
Date d'inscription
mardi 19 janvier 2010
Dernière intervention
21 juin 2016
3
Merci
j'ai trouvé:
apt-get install mono-complete

Dire « Merci » 3

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

Codes Sources 106 internautes nous ont dit merci ce mois-ci

tfrancais
Messages postés
21
Date d'inscription
dimanche 28 novembre 2010
Dernière intervention
22 février 2015
-
bof.
Ca dépend des environnements et, en 2015, sur mon NAS, "apt-get install mono-complete" me réclame "apt-get -f install" puis me renvoie :
"Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
mono-complete : Dépend: mono-runtime (= 3.12.0-0xamarin4) mais ne sera pas installé
Dépend: mono-runtime-sgen (= 3.12.0-0xamarin4) mais ne sera pas installé
Dépend: libmono-2.0-1 (= 3.12.0-0xamarin4) mais ne sera pas installé
Dépend: libmono-profiler (= 3.12.0-0xamarin4) mais ne sera pas installé
Dépend: mono-utils (= 3.12.0-0xamarin4) mais ne sera pas installé
Dépend: mono-devel (= 3.12.0-0xamarin4) mais ne sera pas installé
Dépend: mono-mcs (= 3.12.0-0xamarin4) mais ne sera pas installé
Dépend: mono-csharp-shell (= 3.12.0-0xamarin4) mais ne sera pas installé
Dépend: mono-2.0-gac (= 3.12.0-0xamarin4) mais ne sera pas installé
Dépend: mono-4.0-gac (= 3.12.0-0xamarin4) mais ne sera pas installé
Dépend: mono-2.0-service (= 3.12.0-0xamarin4) mais ne sera pas installé
Dépend: mono-4.0-service (= 3.12.0-0xamarin4) mais ne sera pas installé
Dépend: monodoc-base (= 3.12.0-0xamarin4) mais ne sera pas installé
Dépend: libmono-cil-dev (= 3.12.0-0xamarin4) mais ne sera pas installé
E: Paquets défectueux
Les paquets suivants contiennent des dépendances non satisfaites :
mono-complete : Dépend: mono-devel (= 4.8.1.0-0xamarin1) mais ne sera pas installé
Dépend: mono-4.0-service (= 4.8.1.0-0xamarin1) mais ne sera pas installé
Dépend: monodoc-manual (= 4.8.1.0-0xamarin1) mais ne sera pas installé
Dépend: libmono-cil-dev (= 4.8.1.0-0xamarin1) mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
Commenter la réponse de Karibot

Vous n'êtes pas encore membre ?

inscrivez-vous, c'est gratuit et ça prend moins d'une minute !

Les membres obtiennent plus de réponses que les utilisateurs anonymes.

Le fait d'être membre vous permet d'avoir un suivi détaillé de vos demandes et codes sources.

Le fait d'être membre vous permet d'avoir des options supplémentaires.